Create Task
curl --request POST \
--url https://api.example.com/api/v1/tasks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"category": "<string>",
"task_type": "<string>",
"budget_usd": 151.5,
"title": "<string>",
"description": "",
"requirements": {},
"experimentation": 0.3,
"brand_kit_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.example.com/api/v1/tasks"
payload = {
"category": "<string>",
"task_type": "<string>",
"budget_usd": 151.5,
"title": "<string>",
"description": "",
"requirements": {},
"experimentation": 0.3,
"brand_kit_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
category: '<string>',
task_type: '<string>',
budget_usd: 151.5,
title: '<string>',
description: '',
requirements: {},
experimentation: 0.3,
brand_kit_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.example.com/api/v1/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"description": "<string>",
"category": "<string>",
"task_type": "<string>",
"requirements": {},
"budget_usd": 123,
"compute_budget": 123,
"status": "<string>",
"experimentation": 123,
"created_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"attachments": [
"<string>"
],
"brand_kit_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"prototype_tier": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Tasks
Create Task
Create a new task and trigger the triage pipeline.
Category and task_type are validated at the schema level (see TaskCreate validators in schemas.py). Invalid values will return a 422 with descriptive error messages before this handler runs.
POST
/
api
/
v1
/
tasks
Create Task
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Task category from the taxonomy
Specific task type within category
Required range:
3 <= x <= 300Maximum string length:
200Maximum string length:
5000Required range:
0 <= x <= 1Response
Successful Response
Was this page helpful?
⌘I